Skip to content
CustomersCustomer

Get customer

Returns the signed-in customer's profile with contact and identification details.

Header Parameters

Authorization*string

OAuth 2.0 bearer token.

x-Store-Domain*string

Slug of the store or one of its configured domains, such as my-store.

Length1 <= length <= 253
X-Customer-Session?string

Customer session from POST /v1/customer/sessions. Send it instead of Authorization, never both.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://storefront.ecomiq.pe/v1/customer" \  -H "Authorization: Bearer <token>" \  -H "x-Store-Domain: my-store" \  -H "X-Customer-Session: <session-id>"
{  "id": "7204558912004326262",  "storeId": "7204558912004327977",  "email": "andrea.ramos@example.com",  "firstName": "Andrea",  "lastName": "Ramos",  "phone": "+51987654321",  "identificationNumber": "45678912",  "identificationType": "DNI",  "entityName": "Comercial Lima SAC",  "dateOfBirth": "1990-05-14",  "gender": "male",  "countryIsoCode": "PE",  "role": "Compras",  "companyName": "Comercial Lima SAC",  "consent": true,  "userId": "2f40d7e4-3d9c-4ab2-b04e-7a6a132db821",  "customerType": "individual",  "status": "active",  "isVerified": true,  "entityIdentificationNumber": "45678912",  "defaultAddressId": "7204558912004328603",  "metadata": {},  "totalOrders": 24,  "avgOrders": 1,  "lastOrderId": "7204558912004325576",  "lastOrderDate": "2026-09-28T15:30:00Z",  "loyaltyPoints": 1,  "addresses": [    {      "id": "7204558912004326262",      "addressKey": "Andrea Ramos",      "department": "Lima",      "addressNumber": "Dpto. 501",      "province": "Lima",      "district": "Miraflores",      "phone": "+51987654321",      "cellPhone": "+51987654321",      "addressLine": "Andrea Ramos",      "reference": "Frente al parque Kennedy.",      "countryIsoCode": "PE",      "postalCode": "15074",      "latitude": 1,      "longitude": 1,      "hasCoordinates": false,      "isDefault": true    }  ],  "createdOn": "2026-09-28T15:30:00Z",  "updatedOn": "2026-09-28T15:30:00Z"}